Subject: Re: [PATCH v8 3/7] clk: Move all drivers to use internal API

From: Tomeu Vizoso <[email-masked]>
Date: Wed, 03 Sep 2014 14:59:38 +0200

On 09/02/2014 09:13 AM, Ulf Hansson wrote:
> On 1 September 2014 17:32, Tomeu Vizoso <[email-masked]> wrote:
>> In preparation to change the public API to return a per-user clk structure,
>> remove any usage of this public API from the clock implementations.
>>
>> The reason for having this in a separate commit from the one that introduces
>> the implementation of the new functions is to separate the changes generated
>> with Coccinelle from the rest, and keep the patches' size reasonable.
>>
>> Signed-off-by: Tomeu Vizoso <[email-masked]>
>> Tested-by: Boris Brezillon <[email-masked]>
>> Tested-by: Heiko Stuebner <[email-masked]>
>> Acked-by: Boris Brezillon <[email-masked]>
>
> Hi Tomeu,
>
> Huh, what a patch. :-) Great work you are doing here!

Thanks!

> By just looking at the ux500 changes, I realize that you now have
> removed the dependency to "struct clk", thus we shouldn't include the
> header file linux/clk.h in any file located in driver/clk/ux500/*,
> right!?
>
> I suppose this comment may also applicable for others than the ux500
> clk driver, but haven't checked.

You are right. I have gone ahead and removed the include from all files 
that are fed to the coccinelle script. Everything builds fine in all 
configurations I have tested, so I will be adding it to v9.

Thanks for the idea,

Tomeu

> Kind regards
> Uffe